com.amazonaws.services.cloudfront.model

## Class ListInvalidationsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.cloudfront.model.ListInvalidationsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ListInvalidationsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

The request to list invalidations.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ListInvalidationsRequest()` Default constructor for ListInvalidationsRequest object.
`ListInvalidationsRequest(String distributionId)` Constructs a new ListInvalidationsRequest object.

### Method Summary

All Methods Instance Methods Concrete Methods
`ListInvalidationsRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getDistributionId()` The distribution's ID.
`String` `getMarker()` Use this parameter when paginating results to indicate where to begin in your list of invalidation batches.
`String` `getMaxItems()` The maximum number of invalidation batches that you want in the response body.
`int` `hashCode()`
`void` `setDistributionId(String distributionId)` The distribution's ID.
`void` `setMarker(String marker)` Use this parameter when paginating results to indicate where to begin in your list of invalidation batches.
`void` `setMaxItems(String maxItems)` The maximum number of invalidation batches that you want in the response body.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListInvalidationsRequest` `withDistributionId(String distributionId)` The distribution's ID.
`ListInvalidationsRequest` `withMarker(String marker)` Use this parameter when paginating results to indicate where to begin in your list of invalidation batches.
`ListInvalidationsRequest` `withMaxItems(String maxItems)` The maximum number of invalidation batches that you want in the response body.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListInvalidationsRequest

    public ListInvalidationsRequest()

Default constructor for ListInvalidationsRequest object. Callers should use the setter or fluent setter (with...) methods to initialize the object after creating it.

#### ListInvalidationsRequest

    public ListInvalidationsRequest(String distributionId)

Constructs a new ListInvalidationsRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Parameters:
  `distributionId` - The distribution's ID.

### Method Detail

#### setDistributionId

    public void setDistributionId(String distributionId)

The distribution's ID.

Parameters:
  `distributionId` - The distribution's ID.

#### getDistributionId

    public String getDistributionId()

The distribution's ID.

Returns:
  The distribution's ID.

#### withDistributionId

    public ListInvalidationsRequest withDistributionId(String distributionId)

The distribution's ID.

Parameters:
  `distributionId` - The distribution's ID.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMarker

    public void setMarker(String marker)

Use this parameter when paginating results to indicate where to begin in your list of invalidation batches. Because the results are returned in decreasing order from most recent to oldest, the most recent results are on the first page, the second page will contain earlier results, and so on. To get the next page of results, set `Marker` to the value of the `NextMarker` from the current page's response. This value is the same as the ID of the last invalidation batch on that page.

Parameters:
  `marker` - Use this parameter when paginating results to indicate where to begin in your list of invalidation batches. Because the results are returned in decreasing order from most recent to oldest, the most recent results are on the first page, the second page will contain earlier results, and so on. To get the next page of results, set `Marker` to the value of the `NextMarker` from the current page's response. This value is the same as the ID of the last invalidation batch on that page.

#### getMarker

    public String getMarker()

Use this parameter when paginating results to indicate where to begin in your list of invalidation batches. Because the results are returned in decreasing order from most recent to oldest, the most recent results are on the first page, the second page will contain earlier results, and so on. To get the next page of results, set `Marker` to the value of the `NextMarker` from the current page's response. This value is the same as the ID of the last invalidation batch on that page.

Returns:
  Use this parameter when paginating results to indicate where to begin in your list of invalidation batches. Because the results are returned in decreasing order from most recent to oldest, the most recent results are on the first page, the second page will contain earlier results, and so on. To get the next page of results, set `Marker` to the value of the `NextMarker` from the current page's response. This value is the same as the ID of the last invalidation batch on that page.

#### withMarker

    public ListInvalidationsRequest withMarker(String marker)

Use this parameter when paginating results to indicate where to begin in your list of invalidation batches. Because the results are returned in decreasing order from most recent to oldest, the most recent results are on the first page, the second page will contain earlier results, and so on. To get the next page of results, set `Marker` to the value of the `NextMarker` from the current page's response. This value is the same as the ID of the last invalidation batch on that page.

Parameters:
  `marker` - Use this parameter when paginating results to indicate where to begin in your list of invalidation batches. Because the results are returned in decreasing order from most recent to oldest, the most recent results are on the first page, the second page will contain earlier results, and so on. To get the next page of results, set `Marker` to the value of the `NextMarker` from the current page's response. This value is the same as the ID of the last invalidation batch on that page.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMaxItems

    public void setMaxItems(String maxItems)

The maximum number of invalidation batches that you want in the response body.

Parameters:
  `maxItems` - The maximum number of invalidation batches that you want in the response body.

#### getMaxItems

    public String getMaxItems()

The maximum number of invalidation batches that you want in the response body.

Returns:
  The maximum number of invalidation batches that you want in the response body.

#### withMaxItems

    public ListInvalidationsRequest withMaxItems(String maxItems)

The maximum number of invalidation batches that you want in the response body.

Parameters:
  `maxItems` - The maximum number of invalidation batches that you want in the response body.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListInvalidationsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`